<!--begin::Portlet-->
<div id="attributes-portlet" class="m-portlet" xmlns="http://www.w3.org/1999/html">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Create Attribute Information
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <div class="col-lg-12">
                    <ValidationProvider rules="required" v-slot="{ errors }" name="attribute name" ref="name">
                        <label>Name:</label>
                        <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter Attribute name" v-model="baseInfo.name">
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter Attribute name</span>
                    </ValidationProvider>
                </div>
            </div>

            <div class="form-group m-form__group row">
                <div class="col-lg-12">
                    <ValidationProvider rules="" v-slot="{ errors }" name="attribute values" ref="values">
                        <label>Values:</label>
                        <vue-tags-input v-model="lastInsertedTag"
                                        :tags="baseInfo.values"
                                        placeholder="Enter attribute's values"
                                        @tags-changed="newTags => baseInfo.values = newTags">
                        </vue-tags-input>
                        <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter all Attribute's Values</span>
                    </ValidationProvider>
                </div>
            </div>
        </div>
    </form>
</div>